unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls,shellapi, ImgList;

type
  TForm1 = class(TForm)
    Button1: TButton;
    LinkLabel1: TLinkLabel;
    LinkLabel2: TLinkLabel;
    ImageList1: TImageList;
    procedure Button1Click(Sender: TObject);
    procedure LinkLabel1LinkClick(Sender: TObject; const Link: string;
      LinkType: TSysLinkType);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}


procedure TForm1.Button1Click(Sender: TObject);
begin
  Linklabel1.caption:='tekst zwykly   '+ '<A HREF="http://helion.pl">helion.pl</A>';
end;

//po kliknięciu w link (nie działa po kliknięciu w pierwszą częśc etykiety(tekst linklabel-test)
procedure TForm1.LinkLabel1LinkClick(Sender: TObject; const Link: string;
  LinkType: TSysLinkType);
begin
  ShellExecute(0,'open',PChar(Link),nil,nil,sw_shownormal);
end;

end.
